      subroutine hec_hbook_ini
c
c hbook initialization
c
      implicit none
c
      include'hec_par.inc'      !shared parameters
      include'hec_datacard.inc' !datacard values
c
c paw common
c
      include'hec_paw.inc'
c
      if (in_typ(1) .eq. 1) then
        call hlimit(-i_paw_ini)
      elseif (in_typ(1) .eq. 2) then        
        call hlimit(i_paw_ini)
      endif
c
      end
